CRMchat APIBeta
Telegram APIAccount

account.setPrivacy

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.setPrivacy

Change privacy settings of current account

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Change privacy settings of current account

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.setPrivacy" \  -H "Content-Type: application/json" \  -d '{    "params": {      "key": {        "_": "inputPrivacyKeyStatusTimestamp"      },      "rules": [        {          "_": "inputPrivacyValueAllowContacts"        }      ]    }  }'
{  "result": {    "_": "account.privacyRules",    "rules": [      {        "_": "privacyValueAllowContacts"      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}